
; ----------------------------------------- Media Player

[CoverDisplay]
Group=Cover
Y    =(#S#*(Sin([Loop]/100*PI/2)*#SkinY#/2))
DynamicVariables=1
UpdateDivider   =-1

[Controls]
InlineSetting =Face | Entypo
InlineSetting2=Size | (#S#*16)
InlineSetting3=Color| #ColorFG#
UpdateDivider =-1
StringAlign=CenterCenter
SolidColor =0,0,0,1
Antialias  =1
X=(#S#*(#SkinW#/2))
Y=(#S#*(#SkinW#+(#SkinY#/3)))
W=(#S#*(#SkinY#/4))
H=(#S#*(#SkinY#/4))

[ControlBG]
Shape=Ellipse 0,0,(#S#*((#SkinY#/5))) | StrokeWidth 0 | Extend Color
DynamicVariables=1
UpdateDivider   =-1
X=r
Y=r

[TrackInfo]
MeasureName =Track
MeasureName2=Artist
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*14)
InlineSetting3=Color  | #ColorFG#
InlineSetting4=Stretch| 3
InlineSetting4=
UpdateDivider=-1
StringAlign  =CenterBottom
ClipString   =1
Antialias    =1
X=(#S#*#SkinW#/2)
Y=(#S#*5)R
W=(#S#*#SkinW#-(#P#*2))
H=(#S#*30)

; ----------------------------------------- Launchers

[ImageDisplay]
Group=Image
Y    =(Sin([Loop]/100*PI/2)*(#SkinY#-#P#))
DynamicVariables=1
UpdateDivider   =-1

[AppTitle]
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*14)
InlineSetting3=Color  | #ColorFG#
InlineSetting4=Stretch| 3
UpdateDivider=-1
StringAlign  =CenterCenter
ClipString   =1
Antialias    =1
X=(#S#*#SkinW#/2)
Y=(#S#*#SkinH#+(#SkinY#/2))
W=(#S#*#SkinW#-(#P#*2))
H=(#S#*30)

; ----------------------------------------- Audio / Recycle

[Text]
Meter=String
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*14)
InlineSetting3=Color  | #ColorFG#
InlineSetting4=Stretch| 3
StringAlign  =CenterCenter
Antialias    =1

[Icon]
InlineSetting =Face | Craftloop
InlineSetting2=Size | (#S#*18)
InlineSetting3=Color| #ColorFG#
UpdateDivider=-1
StringAlign  =CenterCenter
Antialias    =1

; ----------------------------------------- Settings Menu

[PageText]
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*14)
InlineSetting3=Color  | #ColorBG#
InlineSetting4=Stretch| 3
StringAlign  =CenterCenter
Antialias    =1
X=(#S#*#MenuW#/2)r
Y=(#S#*#SkinH#/6)r

[PageSelect]
MouseOverAction  =[!SetOption #CurrentSection# "Color" "FillColor #ColorFG#,200"][!UpdateMeter #CurrentSection#][!Redraw]
MouseLeaveAction =[!SetOption #CurrentSection# "Color" "FillColor #ColorFG#,255"][!UpdateMeter #CurrentSection#][!Redraw]

[OptionIT]
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*13)
InlineSetting3=Color  | #ColorFG#
InlineSetting4=Stretch| 3
InlineSetting5=Weight | 500
InlineSetting6=Weight | 700 
InlinePattern6=:(.*)
StringAlign=LeftCenter
SolidColor =0,0,0,1
ClipString =1
Antialias  =1
Padding    =(#S#*5),(#S#*5),0,(#S#*5)
Text       =#CurrentSection#: [##CurrentSection#]
X=(#S#*(#MenuW#+#P#))
Y=(#S#*#Div#)R
H=(#S#*20)
W=(#S#*140)

MouseOverAction  =[!SetOption #CurrentSection# "InlineSetting4" "Weight|700"][!UpdateMeter #CurrentSection#][!Redraw]
MouseLeaveAction =[!SetOption #CurrentSection# "InlineSetting4" "Weight|500"][!UpdateMeter #CurrentSection#][!Redraw]
LeftMouseUpAction=[!CommandMeasure #CurrentSection#Input "ExecuteBatch 1"]

[OptionP]
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*13)
InlineSetting3=Color  | #ColorFG#,200
InlineSetting4=Stretch| 3
InlineSetting5=Weight | 500
InlineSetting6=Color  | #ColorFG#
InlinePattern6=#Player#|#Plugin#
StringAlign=LeftCenter
SolidColor =0,0,0,1
ClipString =1
Antialias  =1
Padding    =(#S#*5),(#S#*5),0,(#S#*5)
Text       =#CurrentSection#
X=r
Y=(#S#*#Div#)R
H=(#S#*20)
W=(#S#*((#SkinW#-#MenuW#)/3-#Div#-#P#/1.25))

MouseOverAction  =[!SetOption #CurrentSection# "InlineSetting4" "Weight|700"][!UpdateMeter #CurrentSection#][!Redraw]
MouseLeaveAction =[!SetOption #CurrentSection# "InlineSetting4" "Weight|500"][!UpdateMeter #CurrentSection#][!Redraw]
LeftMouseUpAction=[!WriteKeyValue "Variables" "Plugin" "NowPlaying" "#@#Variables.inc"][!WriteKeyValue "Variables" "Player" "#CurrentSection#" "#@#Variables.inc"][!Refresh][!Refresh "#RootConfig#\Media"]

[Image]
ImageName=[#Image#CurrentSection#]
X=(#S#*#Div#)R
Y=(#S#*#P#)
H=(#S#*(#SkinH#-#Div#-30-(#P#*2)))
W=(#S#*((#SkinW#-#MenuW#)/5-(#Div#*1.2)))

LeftMouseUpAction=[!CommandMeasure Path#CurrentSection#Input "ExecuteBatch 1"]

[OptionI]
InlineSetting =Face   | #Font#
InlineSetting2=Size   | (#S#*13)
InlineSetting3=Color  | #ColorFG#
InlineSetting4=Stretch| 3
StringAlign=CenterCenter
SolidColor =0,0,0,1
ClipString =1
Antialias  =1
Text       =Path
X=(#S#*((#SkinW#-#MenuW#)/5-(#Div#*1.2))/2)r
Y=r
H=(#S#*30)
W=(#S#*((#SkinW#-#MenuW#)/5-(#Div#*1.2)))

MouseOverAction  =[!SetOption #CurrentSection# "InlineSetting4" "Weight|700"][!UpdateMeter #CurrentSection#][!Redraw]
MouseLeaveAction =[!SetOption #CurrentSection# "InlineSetting4" "Weight|400"][!UpdateMeter #CurrentSection#][!Redraw]
LeftMouseUpAction=[!CommandMeasure #CurrentSection#Input "ExecuteBatch 1"]